TFBS::Site(3pm)

NAME
TFBS::Site - a nucleotide sequence feature object representing (possibly putative) transcription factor binding site.

SYNOPSIS
    # manual creation of site object;
    # for details, see documentation of Bio::SeqFeature::Generic;

    my $site = TFBS::Site
                  (-start => $start_pos,     # integer
                   -end   => $end_pos,       # integer
                   -score => $score,         # float
                   -source => "TFBS",        # string
                   -primary => "TF binding site",  # primary tag
                   -strand => $strand,       # -1, 0 or 1
                   -seqobj => $seqobj,       # a Bio::Seq object whose sequence
                                             #            contains the site
                   -pattern => $pattern_obj  # usu. TFBS::Matrix:PWM obj.
                   -);

    # Searching sequence with a pattern (PWM) and retrieving individual sites:
    #
    #   The following objects should be defined for this example:
    #       $pwm    -   a TFBS::Matrix::PWM object
    #       $seqobj -   a Bio::Seq object
    #   Consult the documentation for the above modules if you do not know
    #   how to create them.

    #   Scanning sequence with $pwm returns a TFBS::SiteSet object:

    my $site_set = $pwm->search_seq(-seqobj => $seqobj,
                                    -threshold => "80%");

    #   To retrieve individual sites from $site_set, create an iterator obj:

    my $site_iterator = $site_set->Iterator(-sort_by => "score");

    while (my $site = $site_iterator->next())  {
        # do something with $site
    }

DESCRIPTION
TFBS::Site object holds data for a (possibly predicted) transcription factor binding site on a nucleotide sequence (start, end, strand, score, tags, as well as references to the corresponding sequence and pattern objects). TFBS::Site is a subclass of Bio::SeqFeature::Generic and has access to all of its method. Additionally, it contains the pattern() method, an accessor for pattern object associated with the site object.

FEEDBACK
Please send bug reports and other comments to the author.

AUTHOR - Boris Lenhard
Boris Lenhard <Boris.Lenhard@cgb.ki.se>

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are preceded with an underscore.

TFBS::Site is a class that extends Bio::SeqFeature::Generic. Please consult Bio::SeqFeature::Generic documentation for other available methods.

  new
 Title   : new
 Usage   : my $site = TFBS::Site->new(%args)
 Function: constructor for the TFBS::Site object
 Returns : TFBS::Site object
 Args    : -start,       # integer
           -end,         # integer
           -strand,      # -1, 0 or 1
           -score,       # float
           -source,      # string (method used to detect it)
           -primary,     # string (primary tag)
           -seqobj,      # a Bio::Seq object
           -pattern      # a pattern object, usu. TFBS::Matrix::PWM

  pattern
 Title   : pattern
 Usage   : my $pattern = $site->pattern();  # gets the pattern
           $site->pattern($pwm);            # sets the pattern to $pwm
 Function: gets/sets the pattern object associated with the site
 Returns : pattern object, here TFBS::Matrix::PWM object
 Args    : pattern object (optional, for setting the pattern only)

  rel_score
 Title   : rel_score
 Usage   : my $percent_score = $site->rel_score() * 100;  # gets the pattern
 Function: gets relative score (between 0.0 to 1.0) with respect of the score
           range of the associated pattern (matrix)
 Returns : floating point number between 0 and 1,
           or undef if pattern not defined
 Args    : none

  GFF
 Title   : GFF
 Usage   : print $site->GFF();
         : print $site->GFF($gff_formatter)
 Function: returns a "standard" GFF string - the "generic" gff_string
           method is left untouched for possible customizations
 Returns : a string (NOT newline terminated! )
 Args    : a $gff_formatter function reference (optional)

  location

  start

  end

  length

  score

  frame

  sub_SeqFeature

  add_sub_SeqFeature

  flush_sub_SeqFeature

  primary_tag

  source_tag

  has_tag

  add_tag_value

  each_tag_value

  all_tags

  remove_tag

  attach_seq

  seq

  entire_seq

  seq_id

  annotation

  gff_format

  gff_string
The above methods are inherited from Bio::SeqFeature::Generic. Please see Bio::SeqFeature::Generic for details on their usage.